<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Grade\AppreciationTemplateId;
use DomainException;

use function sprintf;

final class AppreciationTemplateNonTrouveeException extends DomainException
{
    public static function withId(AppreciationTemplateId $id): self
    {
        return new self(sprintf(
            'Le modèle d\'appréciation avec l\'ID "%s" n\'a pas été trouvé.',
            $id,
        ));
    }
}
